flickr-free-ic3d pan white

MobileMe: Internet Explorer 7 is not fully supported

Internet Explorer 7 has known compatibility issues with modern web standards which affect Web 2.0 applications such as MobileMe.

 

You can use Internet Explorer 7, but you will not have access to all MobileMe features and will experience slower performance.

9,636 views
14 faves
32 comments
Uploaded on July 11, 2008